Loading...
Searching...
No Matches
midiglobals Struct Reference

`#include <csoundCore.h>`

## Data Fields

MEVENT * | Midevtblk
int | sexp
int | MIDIoutDONE
int | MIDIINbufIndex
MIDIMESSAGE | MIDIINbuffer2 [MIDIINBUFMAX]
int(* | MidiInOpenCallback )(CSOUND *, void **, const char *)
int(* | MidiReadCallback )(CSOUND *, void *, unsigned char *, int)
int(* | MidiInCloseCallback )(CSOUND *, void *)
int(* | MidiOutOpenCallback )(CSOUND *, void **, const char *)
int(* | MidiWriteCallback )(CSOUND *, void *, const unsigned char *, int)
int(* | MidiOutCloseCallback )(CSOUND *, void *)
const char *(* | MidiErrorStringCallback )(int)
void * | midiInUserData
void * | midiOutUserData
void * | midiFileData
void * | midiOutFileData
int | rawControllerMode
char | muteTrackList [256]
unsigned char | mbuf [MBUFSIZ]
unsigned char * | bufp
unsigned char * | endatp
int16 | datreq
int16 | datcnt

## Field Documentation

## bufp

unsigned char* midiglobals::bufp

## datcnt

int16 midiglobals::datcnt

## datreq

int16 midiglobals::datreq

## endatp

unsigned char * midiglobals::endatp

## mbuf

unsigned char midiglobals::mbuf[MBUFSIZ]

## Midevtblk

MEVENT* midiglobals::Midevtblk

## MidiErrorStringCallback

const char *(* midiglobals::MidiErrorStringCallback) (int)

## midiFileData

void* midiglobals::midiFileData

## MIDIINbuffer2

MIDIMESSAGE midiglobals::MIDIINbuffer2[MIDIINBUFMAX]

## MIDIINbufIndex

int midiglobals::MIDIINbufIndex

## MidiInCloseCallback

int(* midiglobals::MidiInCloseCallback) (CSOUND *, void *)

## MidiInOpenCallback

int(* midiglobals::MidiInOpenCallback) (CSOUND *, void **, const char *)

## midiInUserData

void* midiglobals::midiInUserData

## MidiOutCloseCallback

int(* midiglobals::MidiOutCloseCallback) (CSOUND *, void *)

## MIDIoutDONE

int midiglobals::MIDIoutDONE

## midiOutFileData

void* midiglobals::midiOutFileData

## MidiOutOpenCallback

int(* midiglobals::MidiOutOpenCallback) (CSOUND *, void **, const char *)

## midiOutUserData

void* midiglobals::midiOutUserData

## MidiReadCallback

int(* midiglobals::MidiReadCallback) (CSOUND *, void *, unsigned char *, int)

## MidiWriteCallback

int(* midiglobals::MidiWriteCallback) (CSOUND *, void *, const unsigned char *, int)

## muteTrackList

char midiglobals::muteTrackList[256]

## rawControllerMode

int midiglobals::rawControllerMode

## sexp

int midiglobals::sexp